Index: src/sas/sascalc/pr/invertor.py
===================================================================
--- src/sas/sascalc/pr/invertor.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
+++ src/sas/sascalc/pr/invertor.py	(revision 45dffa69cb5935e2da7c77a2f040debb07ceb1c6)
@@ -658,5 +658,5 @@
             file.write("#has_bck=0\n")
         file.write("#alpha_estimate=%g\n" % self.suggested_alpha)
-        if not self.out is None:
+        if self.out is not None:
             if len(self.out) == len(self.cov):
                 for i in range(len(self.out)):
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py	(revision 45dffa69cb5935e2da7c77a2f040debb07ceb1c6)
@@ -269,5 +269,5 @@
         Erase new mask from old mask
         """
-        if not self.slicer is None:
+        if self.slicer is not None:
             self.slicer_mask = self.slicer.update()
             mask = self.data.mask
@@ -307,5 +307,5 @@
         Clear the slicer on the plot
         """
-        if not self.slicer is None:
+        if self.slicer is not None:
             self.slicer.clear()
             self.subplot.figure.canvas.draw()
Index: src/sas/sasgui/plottools/plottable_interactor.py
===================================================================
--- src/sas/sasgui/plottools/plottable_interactor.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/plottools/plottable_interactor.py	(revision 45dffa69cb5935e2da7c77a2f040debb07ceb1c6)
@@ -100,5 +100,5 @@
         """
         """
-        if not self.marker is None:
+        if self.marker is not None:
             self.base.connect.clear([self.marker])
         self.color = self._color(color)
@@ -115,5 +115,5 @@
         """
         """
-        if not self.marker is None:
+        if self.marker is not None:
             self.base.connect.clear([self.marker])
         self.color = self._color(color)
@@ -133,5 +133,5 @@
         """
         """
-        if not self.marker is None:
+        if self.marker is not None:
             self.base.connect.clear([self.marker])
         self.color = self._color(color)
Index: src/sas/sasgui/plottools/plottables.py
===================================================================
--- src/sas/sasgui/plottools/plottables.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/plottools/plottables.py	(revision 45dffa69cb5935e2da7c77a2f040debb07ceb1c6)
@@ -562,6 +562,6 @@
         Returns True if there is no data stored in the plottable
         """
-        if not self.x is None and len(self.x) == 0 \
-            and not self.y is None and len(self.y) == 0:
+        if (self.x is not None and len(self.x) == 0
+            and self.y is not None and len(self.y) == 0):
             return True
         return False
@@ -683,5 +683,5 @@
 
         if(x is not None) and (y is not None):
-            if not dx is None and not len(dx) == 0 and not len(x) == len(dx):
+            if dx is not None and not len(dx) == 0 and not len(x) == len(dx):
                 msg = "Plottable.View: Given x and dx are not"
                 msg += " of the same length"
@@ -693,5 +693,5 @@
                 raise ValueError, msg
 
-            if not dy is None and not len(dy) == 0 and not len(y) == len(dy):
+            if dy is not None and not len(dy) == 0 and not len(y) == len(dy):
                 msg = "Plottable.View: Given y and dy are not of the same "
                 msg += "length: len(y)=%s, len(dy)=%s" % (len(y), len(dy))
Index: test/sasrealspace/test/utest_realspace.py
===================================================================
--- test/sasrealspace/test/utest_realspace.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
+++ test/sasrealspace/test/utest_realspace.py	(revision 45dffa69cb5935e2da7c77a2f040debb07ceb1c6)
@@ -332,5 +332,5 @@
         self.canvas.setParam('%s.radius' % handle2, self.radius)
         self.canvas.setParam('%s.contrast' % handle2, 1.0)
-        if not order2 is None:
+        if order2 is not None:
             self.canvas.setParam('%s.order' % handle2, order2)
                
